From accb47ff16f06de2dc45524a1cf1223cefb93272 Mon Sep 17 00:00:00 2001
From: Tomas Vondra <tomas@vondra.me>
Date: Sun, 8 Jun 2025 22:29:31 +0200
Subject: [PATCH v4 2/3] whitespace fixes

---
 contrib/amcheck/t/006_verify_gin.pl | 69 +++++++++++++++--------------
 1 file changed, 35 insertions(+), 34 deletions(-)

diff --git a/contrib/amcheck/t/006_verify_gin.pl b/contrib/amcheck/t/006_verify_gin.pl
index 5d974228644..e8afeb038fc 100644
--- a/contrib/amcheck/t/006_verify_gin.pl
+++ b/contrib/amcheck/t/006_verify_gin.pl
@@ -23,9 +23,9 @@ $blksize = int($node->safe_psql('postgres', 'SHOW block_size;'));
 $node->safe_psql('postgres', q(CREATE EXTENSION amcheck));
 $node->safe_psql(
 	'postgres', q(
-        CREATE OR REPLACE FUNCTION  random_string( INT ) RETURNS text AS $$
-        SELECT string_agg(substring('0123456789bcdfghjkmnpqrstvwxyz', ceil(random() * 30)::integer, 1), '') from generate_series(1, $1);
-        $$ LANGUAGE SQL;));
+		CREATE OR REPLACE FUNCTION  random_string( INT ) RETURNS text AS $$
+		SELECT string_agg(substring('0123456789bcdfghjkmnpqrstvwxyz', ceil(random() * 30)::integer, 1), '') from generate_series(1, $1);
+		$$ LANGUAGE SQL;));
 
 # Tests
 invalid_entry_order_leaf_page_test();
@@ -43,8 +43,8 @@ sub invalid_entry_order_leaf_page_test
 	$node->safe_psql(
 		'postgres', qq(
 		DROP TABLE IF EXISTS $relname;
-	 	CREATE TABLE $relname (a text[]);
-	 	CREATE INDEX $indexname ON $relname USING gin (a);
+		CREATE TABLE $relname (a text[]);
+		CREATE INDEX $indexname ON $relname USING gin (a);
 		INSERT INTO $relname (a) VALUES ('{aaaaa,bbbbb}');
 		SELECT gin_clean_pending_list('$indexname');
 	 ));
@@ -77,18 +77,18 @@ sub invalid_entry_order_inner_page_test
 	$node->safe_psql(
 		'postgres', qq(
 		DROP TABLE IF EXISTS $relname;
-	 	CREATE TABLE $relname (a text[]);
-	 	CREATE INDEX $indexname ON $relname USING gin (a);
+		CREATE TABLE $relname (a text[]);
+		CREATE INDEX $indexname ON $relname USING gin (a);
 		INSERT INTO $relname (a) VALUES (('{' || 'pppppppppp' || random_string(1870) ||'}')::text[]);
-        INSERT INTO $relname (a) VALUES (('{' || 'qqqqqqqqqq' || random_string(1870) ||'}')::text[]);
-        INSERT INTO $relname (a) VALUES (('{' || 'rrrrrrrrrr' || random_string(1870) ||'}')::text[]);
-        INSERT INTO $relname (a) VALUES (('{' || 'ssssssssss' || random_string(1870) ||'}')::text[]);
-        INSERT INTO $relname (a) VALUES (('{' || 'tttttttttt' || random_string(1870) ||'}')::text[]);
-        INSERT INTO $relname (a) VALUES (('{' || 'uuuuuuuuuu' || random_string(1870) ||'}')::text[]);
-        INSERT INTO $relname (a) VALUES (('{' || 'vvvvvvvvvv' || random_string(1870) ||'}')::text[]);
-        INSERT INTO $relname (a) VALUES (('{' || 'wwwwwwwwww' || random_string(1870) ||'}')::text[]);
+		INSERT INTO $relname (a) VALUES (('{' || 'qqqqqqqqqq' || random_string(1870) ||'}')::text[]);
+		INSERT INTO $relname (a) VALUES (('{' || 'rrrrrrrrrr' || random_string(1870) ||'}')::text[]);
+		INSERT INTO $relname (a) VALUES (('{' || 'ssssssssss' || random_string(1870) ||'}')::text[]);
+		INSERT INTO $relname (a) VALUES (('{' || 'tttttttttt' || random_string(1870) ||'}')::text[]);
+		INSERT INTO $relname (a) VALUES (('{' || 'uuuuuuuuuu' || random_string(1870) ||'}')::text[]);
+		INSERT INTO $relname (a) VALUES (('{' || 'vvvvvvvvvv' || random_string(1870) ||'}')::text[]);
+		INSERT INTO $relname (a) VALUES (('{' || 'wwwwwwwwww' || random_string(1870) ||'}')::text[]);
 		SELECT gin_clean_pending_list('$indexname');
-	 ));
+	));
 	my $relpath = relation_filepath($indexname);
 
 	$node->stop;
@@ -118,11 +118,11 @@ sub invalid_entry_columns_order_test
 	$node->safe_psql(
 		'postgres', qq(
 		DROP TABLE IF EXISTS $relname;
-	 	CREATE TABLE $relname (a text[],b text[]);
-	 	CREATE INDEX $indexname ON $relname USING gin (a,b);
+		CREATE TABLE $relname (a text[],b text[]);
+		CREATE INDEX $indexname ON $relname USING gin (a,b);
 		INSERT INTO $relname (a,b) VALUES ('{aaa}','{bbb}');
 		SELECT gin_clean_pending_list('$indexname');
-	 ));
+	));
 	my $relpath = relation_filepath($indexname);
 
 	$node->stop;
@@ -169,15 +169,15 @@ sub inconsistent_with_parent_key__parent_key_corrupted_test
 	$node->safe_psql(
 		'postgres', qq(
 		DROP TABLE IF EXISTS $relname;
-	 	CREATE TABLE $relname (a text[]);
-	 	CREATE INDEX $indexname ON $relname USING gin (a);
+		CREATE TABLE $relname (a text[]);
+		CREATE INDEX $indexname ON $relname USING gin (a);
 		INSERT INTO $relname (a) VALUES (('{' || 'llllllllll' || random_string(1870) ||'}')::text[]);
-        INSERT INTO $relname (a) VALUES (('{' || 'mmmmmmmmmm' || random_string(1870) ||'}')::text[]);
-        INSERT INTO $relname (a) VALUES (('{' || 'nnnnnnnnnn' || random_string(1870) ||'}')::text[]);
-        INSERT INTO $relname (a) VALUES (('{' || 'xxxxxxxxxx' || random_string(1870) ||'}')::text[]);
-        INSERT INTO $relname (a) VALUES (('{' || 'yyyyyyyyyy' || random_string(1870) ||'}')::text[]);
+		INSERT INTO $relname (a) VALUES (('{' || 'mmmmmmmmmm' || random_string(1870) ||'}')::text[]);
+		INSERT INTO $relname (a) VALUES (('{' || 'nnnnnnnnnn' || random_string(1870) ||'}')::text[]);
+		INSERT INTO $relname (a) VALUES (('{' || 'xxxxxxxxxx' || random_string(1870) ||'}')::text[]);
+		INSERT INTO $relname (a) VALUES (('{' || 'yyyyyyyyyy' || random_string(1870) ||'}')::text[]);
 		SELECT gin_clean_pending_list('$indexname');
-	 ));
+	));
 	my $relpath = relation_filepath($indexname);
 
 	$node->stop;
@@ -207,13 +207,13 @@ sub inconsistent_with_parent_key__child_key_corrupted_test
 	$node->safe_psql(
 		'postgres', qq(
 		DROP TABLE IF EXISTS $relname;
-	 	CREATE TABLE $relname (a text[]);
-	 	CREATE INDEX $indexname ON $relname USING gin (a);
+		CREATE TABLE $relname (a text[]);
+		CREATE INDEX $indexname ON $relname USING gin (a);
 		INSERT INTO $relname (a) VALUES (('{' || 'llllllllll' || random_string(1870) ||'}')::text[]);
-        INSERT INTO $relname (a) VALUES (('{' || 'mmmmmmmmmm' || random_string(1870) ||'}')::text[]);
-        INSERT INTO $relname (a) VALUES (('{' || 'nnnnnnnnnn' || random_string(1870) ||'}')::text[]);
-        INSERT INTO $relname (a) VALUES (('{' || 'xxxxxxxxxx' || random_string(1870) ||'}')::text[]);
-        INSERT INTO $relname (a) VALUES (('{' || 'yyyyyyyyyy' || random_string(1870) ||'}')::text[]);
+		INSERT INTO $relname (a) VALUES (('{' || 'mmmmmmmmmm' || random_string(1870) ||'}')::text[]);
+		INSERT INTO $relname (a) VALUES (('{' || 'nnnnnnnnnn' || random_string(1870) ||'}')::text[]);
+		INSERT INTO $relname (a) VALUES (('{' || 'xxxxxxxxxx' || random_string(1870) ||'}')::text[]);
+		INSERT INTO $relname (a) VALUES (('{' || 'yyyyyyyyyy' || random_string(1870) ||'}')::text[]);
 		SELECT gin_clean_pending_list('$indexname');
 	 ));
 	my $relpath = relation_filepath($indexname);
@@ -248,7 +248,7 @@ sub inconsistent_with_parent_key__parent_key_corrupted_posting_tree_test
 		CREATE TABLE $relname (a text[]);
 		INSERT INTO $relname (a) select ('{aaaaa}') from generate_series(1,10000);
 		CREATE INDEX $indexname ON $relname USING gin (a);
-	 ));
+	));
 	my $relpath = relation_filepath($indexname);
 
 	$node->stop;
@@ -287,7 +287,8 @@ sub relation_filepath
 	return "$pgdata/$rel";
 }
 
-sub string_replace_block {
+sub string_replace_block
+{
 	my ($filename, $find, $replace, $blksize, $blkno) = @_;
 
 	my $fh;
@@ -310,4 +311,4 @@ sub string_replace_block {
 	return;
 }
 
-done_testing();
\ No newline at end of file
+done_testing();
-- 
2.49.0

